
Ryzom - Bug # 864

Status: Closed Priority: Normal
Author: kaetemi Category: Services: General
Created: 05/09/2010 Assignee: kaetemi
Updated: 05/28/2010 Due date:
Subject: Server crash on character create when compile on win without stlport
Description

The server crashes on character creation, because it is accessing an invalid index in the character login log when the character is
saved, as the character has not logged in yet.

--- a/code/ryzom/server/src/entities_game_service/player_manager/persistent_player_data.cpp
+++ b/code/ryzom/server/src/entities_game_service/player_manager/persistent_player_data.cpp
@@ -321,7 +321,8 @@
     H_AUTO(CCharacterStore);\
     CFameManager::getInstance().savePlayerFame(_Id, const_cast<EGSPD::CFameContainerPD &>(*_Fames));\
     /* Update the current playing session duration */ \
-    _LastLogStats.begin()->Duration = CTime::getSecondsSince1970() - _LastLogStats.begin()->LoginTime;\
+    if (_LastLogStats.size() > 0) _LastLogStats.begin()->Duration = CTime::getSecondsSince1970() -
_LastLogStats.begin()->LoginTime; \
+    else nlwarning("Cannot update play session duration, _LastLogStats is empty, new character?"); \
     \
     /* Unless the top of the position stack is locked, */ \
     /* update the stored position stack with the current position */ \

History
#1 - 05/09/2010 05:11 pm - Anonymous
- Status changed from New to Resolved

Applied in changeset r49.

#2 - 05/09/2010 05:32 pm - kaetemi
- Assignee set to kaetemi

#3 - 05/10/2010 09:57 pm - kervala
- Target version set to Version 0.8.0

#4 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed
